<div class="post-create">
  <button class="back" [routerLink]="['/post/new']">
    <fa-icon [icon]="faArrowAltCircleLeft"></fa-icon>
  </button>
  <form [formGroup]="form" (ngSubmit)="onCreateBoard(form)">
    <div>
      <textarea formControlName="name" class="caption" placeholder="Board Name"></textarea>
      <textarea formControlName="category" class="caption" placeholder="Category"></textarea>
      <div
        class="alert danger"
        *ngIf="
          (!form.get('name').valid && form.get('name').touched) || (form.get('name').untouched && formSubmitAttempt)
        "
      >
        This field is required!
      </div>
    </div>
    <div>
      <select formControlName="visibility" class="caption">
        <option value="" selected>--Select your Visibility--</option>
        <option value="1">Public</option>
        <option value="0">Private</option>
      </select>
    </div>
    <!-- <button class="google button" [routerLink]="['/boards/boards-all']">
      View All Board
    </button> -->
    <button class="google-btn button" [routerLink]="['/boards/boards-all']">
      View All Board
    </button>
    &nbsp;&nbsp;
    <button type="submit" class="login-btn button" [disabled]="!getSubmitButton()">
      Create Board
    </button>
  </form>
</div>
